﻿<%@ Page Title="Core Features" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.IO" %>

<script runat="server">
    protected void OnColorChanged(object sender, EventArgs e)
    {
        ColorLabel.ForeColor = Color.FromName(DropDownList1.SelectedValue);
    }

    protected void GetServerTime(object sender, EventArgs e)
    {
        lbTimer.Text = "Server Time:" + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        The Accordion is a web control that allows you to provide multiple views and display
        them one at a time. It is like having several Views where only one can be expanded
        at a time. The Accordion is implemented as a web control that contains View web
        controls. Accordion is a easy way to use jQuery accordion widget in ASP.NET.
    </div>
    <DotNetAge:Accordion ID="SampleAccordion" runat="server" AutoHeight="false" Width="400px">
        <Views>
            <DotNetAge:View ID="View3" runat="server" Text="About Accordion">
                <div>
                    The Accordion is a web control that allows you to provide multiple views and display
                    them one at a time. It is like having several Views where only one can be expanded
                    at a time. The Accordion is implemented as a web control that contains View web
                    controls. Accordion is a easy way to use jQuery accordion widget in ASP.NET.
                </div>
                <br />
                <br />
            </DotNetAge:View>
            <DotNetAge:View ID="View5" runat="server" Text="Keep opened after PostBack">
                <p>
                    When change the color of the text below.After postback the Accordion can keep this
                    section opened.
                </p>
                <div>
                    Colors:<asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="true" Width="150"
                        OnSelectedIndexChanged="OnColorChanged">
                        <asp:ListItem Text="Black" Style="background-color: Black; color: White;" Value="Black"></asp:ListItem>
                        <asp:ListItem Text="Red" Style="background-color: Red; color: White;" Value="Red"></asp:ListItem>
                        <asp:ListItem Text="Blue" Style="background-color: Blue; color: White;" Value="Blue"></asp:ListItem>
                    </asp:DropDownList>
                </div>
                <div>
                    <asp:Label ID="ColorLabel" runat="server" Text="Choice the color above the DropDownList to change this label's color"></asp:Label></div>
            </DotNetAge:View>
            <DotNetAge:View ID="View2" runat="server" Text="Using UpdatePanel Control in this section">
                <p>
                    This section is using a UpdatePanel in it. Try the "Go" botton to postback to server
                    and get the server time back.</p>
                <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                    <ProgressTemplate>
                        <div class="dna-state-loading-s">
                            <div>
                            </div>
                        </div>
                    </ProgressTemplate>
                </asp:UpdateProgress>
                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                    <ContentTemplate>
                        <div>
                            <asp:Label ID="lbTimer" runat="server" Text="Click the 'Go' button to load the server time."></asp:Label></div>
                        <br />
                        <br />
                        <div style="float: right;">
                            <asp:Button ID="Button1" runat="server" Text="Go" OnClick="GetServerTime"></asp:Button>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </DotNetAge:View>
        </Views>
    </DotNetAge:Accordion>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Accordion/Codes/CoreSample.aspx" />
</asp:Content>
