﻿<%@ Page Title="AutoSizeMode of Accordion" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Because the accordion is comprised of block-level elements, by default its width
        fills the available horizontal space. To fill the vertical space allocated by its
        container, set the <b>AutoSizeMode</b> property to "Fill", and the script will automatically
        set the dimensions of the accordion to the height of its parent container.
    </div>
    <asp:Panel ID="Panel1" runat="server" Width="353px" Height="300px" Style="padding: 10px"
        BorderColor="#c9c9c9" BorderStyle="Solid" BorderWidth="1">
        <DotNetAge:Accordion ID="Accordion1" runat="server" AutoSizeMode="Fill">
            <Views>
                <DotNetAge:View ID="View1" runat="server" ShowHeader="True" Text="About this sample">
                    <p>
                        Because the accordion is comprised of block-level elements, by default its width
                        fills the available horizontal space. To fill the vertical space allocated by its
                        container, set the <b>AutoSizeMode</b> property to "Fill", and the script will automatically
                        set the dimensions of the accordion to the height of its parent container.</p>
                </DotNetAge:View>
                <DotNetAge:View ID="View0" runat="server" ShowHeader="True" Text="About AutoSizeMode">
                    <asp:Label ID="Label1" runat="server" Text="Accordion is a kind of MultiView Control base on jQuery ui.Accordion can contains View Control and NavView Control."></asp:Label>
                    <p>
                        Accordion supports three AutoSize modes so it can fit in a variety of layouts.
                    </p>
                    <ul>
                        <li>None - The Accordion grows/shrinks without restriction. This can cause other elements
                            on your page to move up and down with it.</li>
                        <li>Limit - The Accordion never grows larger than the value specified by its Height
                            property. This will cause the content to scroll if it is too large to be displayed.</li>
                        <li>Fill - The Accordion always stays the exact same size as its Height property. This
                            will cause the content to be expanded or shrunk if it isn't the right size.</li>
                    </ul>
                </DotNetAge:View>
                <DotNetAge:View ID="View2" runat="server" Text="Other Resources">
                    <div>
                        <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="http://dj.codeplex.com"
                            Target="_blank">Source code on codeplex</asp:HyperLink>
                    </div>
                    <div>
                        <asp:HyperLink ID="HyperLink2" runat="server" NavigateUrl="http://wiki.dotnetage.com"
                            Target="_blank">WiKi of DJ</asp:HyperLink>
                    </div>
                    <div>
                        <asp:HyperLink ID="HyperLink6" runat="server" NavigateUrl="http://dev.dotnetage.com"
                            Target="_blank">DNA DevCenter</asp:HyperLink>
                    </div>
                    <div>
                        <asp:HyperLink ID="HyperLink3" runat="server" NavigateUrl="http://forums.dotnetage.com">Community of DJ</asp:HyperLink>
                    </div>
                    <div>
                        <asp:HyperLink ID="HyperLink4" runat="server" NavigateUrl="http://www.asp.net" Target="_blank">ASP.NET offcial site</asp:HyperLink>
                    </div>
                    <div>
                        <asp:HyperLink ID="HyperLink5" runat="server" NavigateUrl="http://www.jquery.com"
                            Target="_blank">jQuery offical site</asp:HyperLink>
                    </div>
                </DotNetAge:View>
            </Views>
        </DotNetAge:Accordion>
    </asp:Panel>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Accordion/Codes/AutoSizeMode.aspx" />
</asp:Content>
