﻿<%@ Page Title="Drag helper" Language="C#" MasterPageFile="~/Demo.master" StylesheetTheme="start"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        The <b>DragHelper</b>property accepts the values 'Original' (the draggable control
        moves with the cursor), 'Clone' (a duplicate of the draggable control moves with
        the cursor), or using <b>CustomHelperTemplate</b> property to set the controls or
        html elements of helper element. Control the helper's transparency with the <b>DragHelperOpacity</b>
        property.
    </div>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content" Height="120px"
        Width="120px" Style="padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            Original</p>
    </asp:Panel>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-content" Height="120px"
        Width="120px" Style="padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            Semi-transparent clone</p>
    </asp:Panel>
    <asp:Panel ID="Panel3" runat="server" CssClass="ui-widget-content" Height="120px"
        Width="120px" Style="padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            Custom helper (in combination with cursorAt)
        </p>
    </asp:Panel>
    <DotNetAge:Draggable ID="Draggable1" runat="server">
        <Target TargetID="Panel1" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="Draggable2" runat="server" DragHelper="Clone" DragHelperOpacity="0.7">
        <Target TargetID="Panel2" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="Draggable3" runat="server" DragHelper="Clone">
        <Target TargetID="Panel3" />
        <CustomHelperTemplate>
            <div class="ui-widget-header">
                I\'m a custom helper</div>
        </CustomHelperTemplate>
    </DotNetAge:Draggable>
    <div style="clear: left">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Draggable/Codes/DragHelper.aspx" />
</asp:Content>
